# rclone

window 挂在webdav （需要https）：

net use x: \\webdav.example.edu@ssl@5050/proj/xyz correct.horse.battery.staple /user:stu


rclone  config  # 配置





### 挂载网盘为 webdav：
```
rclone serve webdav --addr :8081  -v takegpt:
```

### 挂载 webdav为本地磁盘：

```
rclone mount takegpt:/ Z: --vfs-cache-mode full
```

```
rclone mount takegpt: o: --cache-dir D:\Temp --allow-other --vfs-cache-mode writes --allow-non-empty
```

```
./rclone mount -v \
        --allow-other \
        --read-only \
        --vfs-cache-mode=full \
        --vfs-cache-max-size=4G \
        --vfs-read-chunk-size=8M \
        --cache-dir=.cache/rclone \
        --buffer-size=32M \
        s3_aliyun: /volume1/123/115
```


### 挂载百度云盘：
```
rclone mount BaiduNetdisk:/ N: --cache-dir  F:\RcloneCache --vfs-cache-mode full --header "Referer:https://pan.baidu.com/"  --header "User-Agent:pan.baidu.com"    --no-modtime --multi-thread-streams 8  --vfs-read-chunk-size  256M --vfs-read-chunk-size-limit 600M  --buffer-size 4096M

```

### 挂载阿里云盘：
```

rclone.exe mount ali:/ W: --vfs-cache-mode writes --cache-dir E:\aliyun --network-mode --no-check-certificate --default-permissions --header "Referer:https://www.aliyundrive.com/" --vfs-read-chunk-size-limit 1G --vfs-read-chunk-size 64M --dir-cache-time 12h --buffer-size 32M
```

### 挂载迅雷网盘：
```
rclone mount ThunderNetdisk:/ T: --cache-dir  F:\RcloneCache --vfs-cache-mode full --multi-thread-streams 8   --vfs-read-chunk-size 256M --vfs-read-chunk-size-limit 800M  --buffer-size 4096M
```

接下来，就可以在资源管理器中看到出现一个新的磁盘。

### 取消挂载
```
fusermount -u /volume1/123/115
```

本地复制到云盘：
```

```
云盘下载到本地：
```
./rclone copy -P --multi-thread-streams=2 --transfers=5 18812345678:/123 /volume1/123/225
```

同步
```

```